terraform {
    required_version = ">= 1.5"
    backend "s3" {
        bucket  = "project-temper-infra"
        key     = "infra/state/build.tfstate"
        region  = "us-west-1"
        encrypt = true
    }
    required_providers {
      aws = {
        source = "hashicorp/aws"
        version = ">= 5.0"
      }
    }
}